<template>
  <div>
    <BasicTable @register="registerTable">
      <template #action="{ record }">
        <TableAction
          :actions="[
            {
              label: '查看',
              auth: 'api:yt:noticeUser:get',
              tooltip: '查看',
              icon: 'ant-design:eye-outlined',
              onClick: handleView.bind(null, record),
            },
          ]"
        />
      </template>
    </BasicTable>
    <CatNoticeModal @register="registerModal" @success="handleSuccess" />
  </div>
</template>
<script lang="ts">
  import { defineComponent } from 'vue';
  import { BasicTable, useTable, TableAction } from '/@/components/Table';
  import { useModal } from '/@/components/Modal';
  import CatNoticeModal from './CatNoticeModal.vue';
  import { columns, searchFormSchema } from './config.d';
  import { notifyMyGetrPageApi } from '/@/api/stationnotification/stationnotifyApi';
  export default defineComponent({
    name: 'LoginForm',
    components: { BasicTable, CatNoticeModal, TableAction },
    setup() {
      const [registerModal, { openModal }] = useModal();
      const [registerTable, { reload }] = useTable({
        title: '我的通知',
        api: notifyMyGetrPageApi,
        columns,
        formConfig: {
          labelWidth: 120,
          schemas: searchFormSchema,
        },
        useSearchForm: true,
        showTableSetting: true,
        bordered: true,
        showIndexColumn: false,
        actionColumn: {
          width: 200,
          title: '操作',
          dataIndex: 'action',
          slots: { customRender: 'action' },
          fixed: 'right',
        },
      });

      function handleView(record: Recordable) {
        openModal(true, {
          record,
        });
      }

      function handleSuccess() {
        reload();
      }
      return {
        registerTable,
        registerModal,
        handleView,
        handleSuccess,
      };
    },
  });
</script>
